org.apache.ignite.internal.util.typedef

## Interface CI1<T>

Type Parameters:
  `T` - Type of the factory closure.

All Superinterfaces:
  IgniteInClosure<T>, Serializable

All Known Implementing Classes:
  GridCacheAdapter.UpdateGetTimeStatClosure, GridCacheAdapter.UpdatePutAndGetTimeStatClosure, GridCacheAdapter.UpdatePutTimeStatClosure, GridCacheAdapter.UpdateRemoveTimeStatClosure, GridCacheAdapter.UpdateTimeStatClosure

    public interface CI1<T>
    extends IgniteInClosure<T>

Defines `alias` for `IgniteInClosure` by extending it. Since Java doesn't provide type aliases (like Scala, for example) we resort to these types of measures. This is intended to provide for more concise code in cases when readability won't be sacrificed. For more information see `IgniteInClosure`.

See Also:
  `GridFunc`, `IgniteInClosure`

### Method Summary

### Methods inherited from interface org.apache.ignite.lang.IgniteInClosure

`apply`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC3
Release Date | : March 24 2015